Subject: Re: bug#65348: INITIAL-INPUT in completing-read repeats same entry twice consecutively

From: Christopher Dimech <[email-masked]>
Date: Sun, 20 Aug 2023 08:34:52 +0200

> Sent: Sunday, August 20, 2023 at 6:12 PM
> From: "Michael Heerdegen" <[email-masked]>
> To: [email-masked]
> Cc: [email-masked], [email-masked], [email-masked]
> Subject: bug#65348: INITIAL-INPUT in completing-read repeats same entry twice consecutively
>
> Heime via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <[email-masked]> writes:
>
> > Can there be the option to place an item from the collection (call it
> > 'INITIAL', 'DEF', 'WHATEVER')
> > that appears as soon as `completing-read` is called ?
>
> If I understand correctly and you want still want to start with a
> prefilled minibuffer: you can still achieve this by using
> `minibuffer-with-setup-hook' - like in
>
> #+begin_src emacs-lisp
> (minibuffer-with-setup-hook (lambda () (insert "BBB"))
>   (completing-read "Input: " (list "AAA" "BBB" "CCC")))
> #+end_src
>
> Michael.

I suggest that the capability of prefilling the minibuffer be reintroduced
for the new scheme as well.  Because from what I see, the deprecated parts
include a feature that will be automatically discarded under the new scheme.